Graphviz Python Binding for Python 2.5 on Windows?

Alex Li likwoka at gmail.com
Tue Mar 6 17:58:43 CET 2007


Thanks all for your suggestions.

Nick: I am trying to avoid generate the dot file manually so that I
can minimize bugs coz by me ;)

SPE: Unfortunately that may be too radical ;)  I work in a corporate
environment (read: MS shop) and my group wants to generate a
dependency graph of our system.  I was trying to take this opportunity
to introduce some python to the group.  They were amazed when I came
up with the script in a few hours and were willing to try it out by
installing python, yapgvb, and graphviz.  But it won't work on python
2.5!  It's kind of a bummer to tell them to install an older version
of python.

On second look, I will try pydot again.  Despite no release for a long
time, it seems to be reasonably complete.  Now, I am sure we will redo
it in C# after my "prototype"; but that will just prove the advantages
of python in terms of code size and productivity :)





More information about the Python-list mailing list